function [a, action] = nilexplore(a, action, state, actions, rewards, params)
%Implements nil exploration (no exploration strategy)
%  [A, ACTION] = NILEXPLORE(A, ACTION, STATE, ACTIONS, REWARDS, PARAMS) 
%  An exploration function for the agent that performs nil exploration.
%  Always returns the action chosen by the agent. Should be used only in 
%  inherently stochastic domains, where exploration is inherent in the
%  stochastic nature of the domain.
%
%  Can be used with any learning/policy functions combination.
%
%
%  See also act, explore

%  Author:      Lucian Busoniu
%  Version:     1.0
%  History:


% returning unchanged a, action
% END randomexplore() =====================================================