function alg_gui_onclose
%Close handler for alg_gui
%
%  Handles the Close event for alg_gui. Clears any algorithm data, and releases
%  resources used by the worlds and agents. This function should not be
%  used explicitly.
%
% See also alg_gui

% load any data
try
    algdata = evalin('base', 'algdata');
    % destroy all worlds
    fn = fieldnames(algdata);
    for i = 1:length(fn),
        wtype = algdata.(fn{i}).world.type;
        algdata.(fn{i}).world = feval([wtype '_destroy'], algdata.(fn{i}).world);
    end;
    algdata = rmfield(algdata, fn);
    assignin('base', 'algdata', algdata);
    % just a guess at the default handle for online convergence plots
    if ishandle(899), delete(899); end;
catch
%     warning('Could not clear algorithm data');
end;

delete(gcf);

% END alg_gui_onclose() ------------------------
