function gw = robotsgw_destroy(gw)
%Destroys the robotsgw
%  GW = ROBOTSGW_DESTROY(GW)
%  Frees all resources consumed by the robotsgw. No other operations
%  may be performed on the robotsgw after this function has been
%  called.
%
%  Parameters:
%   GW          - the robots gridworld
%  Returns:
%   GW          - the destroyed robots gridworld structure
%
%
%  See also robotsgw

%  Author:      Lucian Busoniu
%  Version:     1.0
%  History:

try, delete(gw.view.gui);
catch,
    warning('Could not delete GUI for robots gridworld');
end;
rmfield(gw, 'view');

% returning gw
% END robotsgw_destroy() =================================================