function rrgw_plottraj(world, stats, cfg)

CFG = struct;
CFG = setfigprop(CFG, 'addfields');
if nargin < 3, cfg = struct; end;

cfg = parseconfig(cfg, CFG);

TRAJSTYLES = {{'Color', [.7 .7 .7], 'LineWidth', 5}, ...
    {'Color', 'k', 'LineWidth', 1.5}};
SITSTYLES = {{'LineStyle', 'none', 'Marker', 'o', 'MarkerEdgeColor', 'none', 'MarkerFaceColor', [.7 .7 .7]}, ...
    {'LineStyle', 'none', 'Marker', 'o', 'MarkerEdgeColor', 'none', 'MarkerFaceColor', 'k'}};

info = rrgw_info(world);
xc = world.view.xcenters;
yc = world.view.ycenters;

rrgw_display(world, 1);

for i=1:2,        % agents # should always be 2
    sitcount = zeros(world.cfg.size(1), world.cfg.size(2));
    aix = info.imaps(1:2, i);   % the indices of the agent substate
    aix = aix(1):aix(1)+1;      % we only care about the 2-D position
    for k = 1:stats.Ns,
        xstart = stats.x(aix, k);
        xend = stats.x(aix, k+1);
        if any(xstart ~= xend), % moved, plot a line
            line([xc(xstart(2), xstart(1)) xc(xend(2), xend(1))], ...
                [yc(xstart(2), xstart(1)) yc(xend(2), xend(1))], TRAJSTYLES{i}{:});
%             pause;
        else                    % sitting, increase the sit count
            sitcount(xstart(1), xstart(2)) = sitcount(xstart(1), xstart(2)) + 1;
        end;
    end;
    
    [xx, yy] = find(sitcount > 0);
    for j = 1 : length(xx),
        plot(xc(yy(j), xx(j)), yc(yy(j), xx(j)), SITSTYLES{i}{:}, 'MarkerSize', 5+3*sitcount(xx(j), yy(j)));
%         pause;
    end;
    saveplot(gcf, [cfg.savedir cfg.savefig], cfg.plottarget);
end;
