function visible = rrgwview_isvisible(v)
%Checks whether the grid world view is shown
%  VISIBLE = RRGWVIEW_ISVISIBLE(V)
%  Checks whether the grid world view is shown
%
%  Parameters:
%   V          - the grid world view
%  Returns:
%   VISIBLE    - 1 if view is shown, 0 if it is hidden
%
%
%  See also rrgwview, rrgwview_display

%  Author:      Lucian Busoniu
%  Version:     1.0
%  History:


switch get(v.gui, 'Visible'),
    case 'on', visible = 1;
    case 'off', visible = 0;
end;

% END rrgwview_isvisible() ===========================================