function w = world_destroy(w)
%Template. Destroys the world structure
%  W = WORLD_DESTROY(W)
%  Frees all resources consumed by the world. No other operations
%  may be performed on the world after this function has been
%  called.
%
%  This function is a template and performs no operations.
%  A new world type must implement this function under the name
%  <world_type>_destroy. This functions' input and output argument(s)
%  must conform to the specifications below.
%
%  Parameters:
%   W           - the world
%  Returns:
%   W           - the destroyed world structure
%
%
%  See also world

%  Author:      Lucian Busoniu
%  Version:     1.0
%  History:


% cleanup world internal data and free any associated resources

% destroy view and free any associated graphical resources

% returning w
% END world_destroy() =======================================================
