function [w, stateviews] = world_reset(w, restype)
%Template. Resets the world to its initial state
%  [W, STATEVIEWS] = WORLD_RESET(W, [RESTYPE])
%  Resets the world to its initial state and reports this state.
%  Returns the state of the world as viewed by all the agents within.
%
%  This function is a template and performs no operations. A new epsiodic
%  world type must implement this function under the name
%  <world_type>_reset. This functions' input and output argument(s) must
%  conform to the specifications below.
%
%  Parameters:
%   W           - the world
%   RESTYPE     - the reset type. Can be 0, soft reset (at the beginning of
%       each trial), or 1, hard reset (if the world should be reset to
%       scratch, e.g. if learning in it is restarted). When not given,
%       should be assumed 0.
%  Returns:
%   W           - the reset world
%   STATEVIEWS  - the agent views over the reset state, one agent view per
%               column
%
%
%  See also world, world_dynamics

%  Author:      Lucian Busoniu
%  Version:     1.0
%  History:
%  


% Reset state

% Update data structures to reflect reset state

% Update view if necessary

% Create the possibly personalized agent views over the reset state


% returning w, stateviews
% END world_state() =======================================================